%define name xfig
%define version 3.2.3d
%define release 5mdk

Summary:	An X Window System tool for drawing basic vector graphics
Name:		%{name}
Version:	%{version}
Serial: 	1
Release:	%{release}
License:	OpenSource
Group:		Graphics
BuildRequires: XFree86-devel Xaw3d-devel xpm-devel libjpeg-devel libpng-devel
Source0:	http://www.xfig.org/xfigdist/%{name}.%version.full.tar.bz2
Source1:	xfig.xpm
Source2:	xfig_menuentry
Source3:	xfig-mini.xpm
Source4:	xfig-large.xpm
#Patch0:	xfig.3.2.3-beta-1-config.patch.bz2
Patch1:		xfig.3.2.2-vararg.patch.bz2
Patch2: 	xfig-3.2.3d-readers.patch.bz2
Requires:	transfig >= 3.2.3
Buildroot:	%{_tmppath}/%{name}-root

%description
Xfig is an X Window System tool for creating basic vector graphics,
including bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.

%prep
%setup -q -n xfig.%version
#%patch0 -p1 -b .config
#%patch1 -p1 -b .vararg
%patch2 -p1

%build
xmkmf
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile

%ifarch alpha
find -name Makefile | xargs perl -pi -e "s|-O2||g"
%endif

make

%install
rm -rf $RPM_BUILD_ROOT
# Hack around an ugly problem for now. --Geoff
mkdir -p Doc/Doc
cp -f Doc/xfig.man Doc/Doc/xfig.man
make DESTDIR=$RPM_BUILD_ROOT install install.man install.libs
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/xfig/html/{images,japanese}
install -m644 Doc/xfig-howto.pdf $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/xfig/
install -m644 Doc/xfig.html $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/xfig/
cp -a Doc/html $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/xfig/

# Menu Entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_menudir}/xfig


# (fg) 10000918 Icons
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/{mini,large}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_iconsdir}
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_miconsdir}/xfig.xpm
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/%{_liconsdir}/xfig.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%doc Doc/FORMAT* Doc/TODO Doc/xfig-howto.* 
%doc Doc/xfig.html Doc/xfig.html.readme
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/lib/X11/xfig
%{_prefix}/X11R6/man/*/*
%{_prefix}/X11R6/lib/X11/app-defaults/*
%{_menudir}/xfig
%{_iconsdir}/xfig.xpm
%{_miconsdir}/xfig.xpm
%{_liconsdir}/xfig.xpm

%changelog
* Wed Oct 10 2001 Till Kamppeter <till@mandrakesoft.com> 3.2.3d-5mdk
- Rebuilt for libpng3.

* Tue Jul 31 2001 Daouda LO <daouda@mandrakesoft.com> 3.2.3d-4mdk
- use xpdf as default pdf reader (guran)
- use $BROWSER instead of netscape.
- macroz.

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 3.2.3d-3mdk
- BuildRequires: libpng-devel

* Sat Jun 23 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.3d-2mdk
- Run the install.libs rule on install (Seb).

* Sun Jun 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.3d-1mdk
- Bump up to 3.2.3d.
- Icons are now in correct pixels (Seb).
- s/Copyright/License/;
- Some documentation installation stupidities no longer exist.

* Tue Mar  6 2001  <daouda@ke.mandrakesoft.com> 3.2.3c-4mdk
- add html+pdf docs 
- add conf files 

* Mon Sep 18 2000 Francis Galiegue <fg@mandrakesoft.com> 3.2.3c-3mdk

- Large and normal icons, all icons moved to %{_iconsdir}
- Some spec file fixes

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.2.3c-2mdk
- automatically added BuildRequires

* Thu Aug 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.3c-1mdk
- new version 
- rebuild with serial (thisreallysucks)

* Wed May 31 2000 Adam Lebsack <adam@mandrakesoft.com> 3.2.3_beta1-4mdk
- fixed group

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.3_beta1-3mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot
- Clean up spec

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 3.2.3_beta1-2mdk
- xfig needs transfig 3.2.3 (lebsack)

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 3.2.3_beta1-1mdk
- Mandrake adaptations
- Menu entry

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Fri Jan 14 2000 Preston Brown <pbrown@redhat.com>
- upgrade to beta1 of 2.2.3.  Hopefully this fixes outstanding issues.
- no need for vararg fix, commented out

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- add icon
- don't compile with optimization on alpha

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- converted to use a .desktop file

* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added files that were missing. 

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)
- varargs fix

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- correct DESTDIRR typo (#962)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- updated to 3.2.2.

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- updated for manhattan
- buildroot

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- messed with config for 5.0
- updated Requires and Copyright
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
